Subject: [bug#69169] [bug#69170] [PATCH rust-team 00/46] Add netavark

From: Tomas Volf <[email-masked]>
Date: Sun, 18 Feb 2024 15:04:12 +0100

On 2024-02-18 14:39:23 +0200, Efraim Flashner wrote:
> I pushed the patches to the rust-team branch without the change for
> cargo-native-inputs and without the snippet for prost-build.  I also
> adjusted some of the patches so that the packages built.

Well I am just happy it was merged, so no complains here, but I have to admit I
am curious.  Is it really expected that every user of prost-build will need to
add protobuf into native-inputs?

What if, in some new version, it starts requiring some-other-package instead of
protobuf?  All the downstream users will need to be adjusted as well.  That
seems somewhat sub-optimal.  So I am trying to understand the reasoning here.

Thanks and have a nice day,
Tomas Volf

--
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.